Page MenuHomeFreeBSD

*/*: Chase editors/emacs update
ClosedPublic

Authored by jrm on Jan 26 2024, 2:33 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Apr 12, 5:45 AM
Unknown Object (File)
Wed, Apr 10, 11:33 PM
Unknown Object (File)
Mon, Apr 8, 10:31 PM
Unknown Object (File)
Sat, Apr 6, 2:12 AM
Unknown Object (File)
Mon, Apr 1, 8:31 PM
Unknown Object (File)
Mon, Apr 1, 8:31 PM
Unknown Object (File)
Mon, Apr 1, 8:31 PM
Unknown Object (File)
Mon, Apr 1, 8:23 PM
Subscribers
None

Details

Summary
  • Bump Emacs version in Mk/Uses/emacs.mk to update version-specific paths
  • Bump PORTREVISION of ports with USES=emacs. This is required for two reasons. Emacs lisp files need to be byte compiled for the new Emacs version, and files installed under, e.g., EMACS_VERSION_SITE_LISPDIR need to be relocated.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm requested review of this revision.Jan 26 2024, 2:33 PM
jrm created this revision.

The only failure I've seen so far is databases/emacsql-devel on 15amd64, but it also failed before the editors/emacs update from 29.1 to 29.2.

http://pkg.ftfl.ca/data/15amd64-default/2024-01-26_09h38m58s/logs/errors/emacsql-devel-3.1.1.43_1.log

This revision is now accepted and ready to land.Jan 26 2024, 6:46 PM
This revision was automatically updated to reflect the committed changes.